java – how to resolve this : Exception evaluating SpringEL expression: #authorization.expression(isAuthenticated())?

java – how to resolve this : Exception evaluating SpringEL expression: #authorization.expression(isAuthenticated())?

This error happens when the Thymeleaf Extras Spring Security version is not compatible with the Spring Framework version, in its case, the Spring Boot version works with the Spring Framework version 5.x and the Thymeleaf Extras Spring Security version you have is 4.x. You need update the artifactId in your pom.xml and either choose a compatible version or let Spring Boot choose the version for you

html – Exception evaluating SpringEL expression: #fields.hasErrors

<dependency>
    <groupId>org.thymeleaf.extras</groupId>
    <artifactId>thymeleaf-extras-springsecurity5</artifactId>
    <scope>compile</scope>
</dependency>

java – how to resolve this : Exception evaluating SpringEL expression: #authorization.expression(isAuthenticated())?

Leave a Reply

Your email address will not be published. Required fields are marked *